Subject: Re: [RFC] Re: git-svn: make git-svn commit-diff able to work without explicit arguments

From: Jakub Narebski <[email-masked]>
Date: Tue, 02 Jan 2007 22:58:14 +0100

Brian Gernhardt wrote:

>>   The reason is simple, I often use git commit as :wq in my editor,  
>> and
>> sometimes think that in a A--B--C--D and in fact, I'd prefer to have:
>>
>>   {A,C}--B--D. how is it possible to do that in a not too cumbersome
>> way? because that would make sens to work in some scratch branch, and
>> then reorganize patches in a saner better way in the master branch.
>>
>>   But I fail to see how to achieve that without using cumbersome
>> export-to-patch then git apply patch and edit logs which is painful  
>> and
>> not really using git.
> 
> The command you seem to be looking for is git-cherry-pick.  To  
> combine the two commits, I'd do something like:
> 
> $ git cherry-pick A
> $ git cherry-pick C
> $ git reset HEAD~2
> $ git add <files>
> $ git commit

Or better learn about --no-commit option of git-cherry-pick. Or if you
don't mind additional tools I think you can do this using StGIT.

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git